Bug 1024864 - [GSS] (6.1.1 patch) HHH-8643 - java.util.Calendar conversion to java.util.Date fails
[GSS] (6.1.1 patch) HHH-8643 - java.util.Calendar conversion to java.util.Dat...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.1.1
Unspecified Unspecified
high Severity high
: ---
: One-off release
Assigned To: Brett Meyer
Martin Simka
Russell Dickenson
:
Depends On: 1023994
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:16 EDT by Gary Hu
Modified: 2015-09-01 00:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: BZ-1024864 PRODUCT NAME: JBoss Enterprise Application Platform VERSION: 6.1.1 SHORT DESCRIPTION: HHH-8643 https://hibernate.atlassian.net/browse/HHH-8643 java.util.Calendar conversion to java.util.Date fails LONG DESCRIPTION: HHH-8643 https://hibernate.atlassian.net/browse/HHH-8643 java.util.Calendar conversion to java.util.Date fails java.util.Calendar and java.util.Date should both be accepted as parameters on Queries, regardless of the TemporalType used. MANUAL INSTALL INSTRUCTIONS: Backup and remove the following files: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-entitymanager-4.2.0.SP1-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Extract the patched files by either: Using unzip: unzip -d $JBOSS_HOME/ bz-1024864.zip Or by extracting the files from the zip to the following locations: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-entitymanager-4.2.0.SP1-redhat-1-bz-1024864.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Instructions to uninstall: Restore the following files that were backed up before the patch was installed: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-entitymanager-4.2.0.SP1-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml COMPATIBILITY: DEPENDENCIES: JBoss Enterprise Application Platform 6.1.1 SUPERSEDES: SUPERSEDED BY: CREATOR: Brett Meyer DATE: 30 October 2013
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 12:52:05 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patched Hibernate module (427.85 KB, application/download)
2013-10-30 12:59 EDT, Brett Meyer
no flags Details

  None (edit)
Description Gary Hu 2013-10-30 10:16:16 EDT
This is an one-off patch for bug 1023994. 

Please check the details in bug 1023994 and https://hibernate.atlassian.net/browse/HHH-8643.
Comment 1 Brett Meyer 2013-10-30 12:59:09 EDT
Created attachment 817521 [details]
patched Hibernate module
Comment 2 Gary Hu 2013-11-05 10:54:17 EST
Our customer has verified that the patch solve their issue.
Comment 3 Gary Hu 2013-11-19 11:16:04 EST
Hi Martin,

Any update on the QA process?  Our customer has verified that the patch solve their original issue. I think we just need to focus on testing if it brings any regression or not.
Comment 4 Martin Simka 2013-11-19 12:59:39 EST
For now I have results only from AS test suite, it's without regressions. I'm waiting for results of hibernate test suite. I should have them tomorrow morning. I will update this BZ when I evaluate them. Our testing environment is under high load in these days.
Comment 5 Martin Simka 2013-11-21 08:29:25 EST
Finally I've got results from hibernate test suite.

AS test suite is without regression
hibernate test suite is without regression

QA passed

md5sum of tested files:
634a6067e794fe55bd4f1a842bf6ed67  BZ1024864.zip
d37222f51df9be4f53cc6582bed825c4  bz-1024864.zip
9fa8801cd5c60325e40060d2bb867f20  hibernate-entitymanager-4.2.0.SP1-redhat-1-bz-1024864.jar
e955e307c121cea64bab610661809191  module.xml

Note You need to log in before you can comment on or make changes to this bug.